# Fees

### Trading fees

Fees are paid on the notional value of an order. This means that for a taker order of $5000 notional value (`fill_price * fill_amount`), a fee of 0.2% or 10 USD would be applied. Fees are applied to the user's collateral balance (`strategy_collateral`). **At no time do traders pay an Ethereum gas to open or close their trading positions.**

{% hint style="info" %}
DDX Fee discount: \
Users can also pay fees in DDX, the native token of DerivaDEX. **Fees paid in DDX are 1/2 the cost of fees paid in USDC.**
{% endhint %}

### Trading fee rates

| Maker      | Taker                                  |
| ---------- | -------------------------------------- |
| 0% (0 bps) | 0.2% (20 bps) USDC / 0.1% (10 bps) DDX |

### Deposit and withdrawal fees

These fees are paid in Ethereum, often referred to as `gas`.  The exact price will depend on network congestion and user-defined gas limit.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.derivadex.io/trading/fees.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
